libzypp 17.37.10

Url.h File Reference
`#include <set>`
`#include <zypp-core/url/UrlBase.h>`
`#include <zypp-core/url/UrlUtils.h>`

Go to the source code of this file.

## Classes
class | zypp::Url
| Url manipulation class. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::hotfix1050625
namespace | zypp::filesystem
| Types and functions for filesystem operations.

## Functions
std::string | zypp::hotfix1050625::asString (const Url &url_r)
std::ostream & | zypp::operator<< (std::ostream &str, const Url &url)
bool | zypp::operator< (const Url &lhs, const Url &rhs) ZYPP_API
| needed for std::set
bool | zypp::operator== (const Url &lhs, const Url &rhs) ZYPP_API
| needed for find
bool | zypp::operator!= (const Url &lhs, const Url &rhs)